# $Revision: 1.77 $, $Date: 2006/02/17 19:11:37 $
Summary:	Terminal for Enlightenment
Summary(es):	Terminal para Enlightenment
Summary(pl):	Terminal dla Enlightenmenta
Summary(pt_BR):	Eterm verso %{version}
Name:		Eterm
Version:	0.9.3
Release:	3
License:	BSD
Group:		X11/Applications
Source0:	http://www.eterm.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	dd089fa7768f945341d721dd4942c702
Source1:	http://www.eterm.org/download/%{name}-bg-%{version}.tar.gz
# Source1-md5:	e8c6567b13d7fb760bded56c1d1a181d
Source2:	%{name}.desktop
Source3:	Escreen.desktop
Source4:	gnome-eterm.png
Patch0:		%{name}-am_fix.patch
Patch1:		%{name}-twin.patch
Patch2:		%{name}-keys-theme.patch
Patch3:		%{name}-deadkeys.patch
Patch4:		%{name}-gcc4.patch
URL:		http://www.eterm.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	freetype1-devel
BuildRequires:	imlib2-devel >= 1.0.3
BuildRequires:	libast-devel >= 0.5
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	pcre-devel
BuildRequires:	screen
BuildRequires:	sed >= 4.0
BuildRequires:	twin-devel
BuildRequires:	utempter-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eterm is a color vt102 terminal emulator intended as an xterm(1)
replacement for users who want a term program integrated with
Enlightenment, or simply want a little more "eye candy". Eterm uses
Imlib for advanced graphic abilities.

%description -l es
Eterm es un emulador de terminal vt102 con soporte para colores,
desarrollado como un sustituto para el emulador xterm, para los
usuarios que deseen un emulador de terminal integrado con la
iluminacin, o simplemente deseen algo ms agradable visualmente. El
emulador Eterm usa Imlib para trabajar con grficos.

%description -l pl
Eterm jest kolorowym emulatorem terminala vt102 mogcym by
zamiennikiem xterm(1) dla uytkownikw chccych mie program
terminalowy zintegrowany z zarzdc okienek o nazwie Enlightenment lub
dla tych ktrzy chc mie troch bardziej urozmaicony wygld tego typu
programu. Eterm uywa biblioteki IMlib do zaawansowanego operowania na
grafice.

%description -l pt_BR
O Eterm -- verso %{version} --  um emulador de terminal vt102 com
suporte a cores, desenvolvido para ser um substituto para o xterm,
para os usurios que queiram um emulador de terminal integrado com o
Enlightenment, ou simplesmente queiram algo mais agradvel para os
olhos. O Eterm usa a Imlib para trabalhar com grficos.

%package -n Esetroot
Summary:	Sets root pixmap
Summary(pl):	Aplikacja ustawiajca to nadrzdnego okna
Group:		X11/Window Managers/Tools
 
%description -n Esetroot
This program enables non-Enlightenment users to use pseudotransparency.

%description -n Esetroot -l pl
Program ten umoliwia uytkownikom zarzdcw okien innych ni Enlightenment
korzystanie z pseudo-przezroczystoci.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2	-p1
%patch3 -p0
%patch4 -p1
find themes/ -name "*.cfg*" -exec \
	sed -i 's/<Eterm-0\.9\..>/<Eterm-%{version}>/' "{}" ";"

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	--enable-shared \
	--enable-escreen \
	--enable-etwin \
	--enable-profile \
	--disable-stack-trace \
	--without-debugging \
	--enable-trans \
	--enable-multi-charset \
	--enable-auto-encoding \
%ifarch athlon
	--enable-mmx
%else
	--disable-mmx
%endif
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/*.html ReleaseNotes* ChangeLog
%attr(755,root,root) %{_bindir}/Eterm
%attr(755,root,root) %{_bindir}/Etbg
%attr(755,root,root) %{_bindir}/Etcolors
%attr(755,root,root) %{_bindir}/Ettable
%attr(755,root,root) %{_bindir}/Etbg_update_list
%attr(755,root,root) %{_bindir}/Etsearch
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_mandir}/man1/*
%{_datadir}/Eterm
%{_desktopdir}/*
%{_pixmapsdir}/*

%files -n Esetroot
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Esetroot
%attr(755,root,root) %{_bindir}/kEsetroot
 
%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Eterm.spec,v $
Revision 1.77  2006/02/17 19:11:37  psz
- security rebuild: CVE-2006-0224
- STBR (first build and upgrade libast HEAD)

Revision 1.76  2005/06/30 20:04:25  sparky
- fixed deadkeys
- added menu icon
- rel 2, STBR

Revision 1.75  2005/01/01 16:55:33  darekr
- BR: sed 4.0

Revision 1.74  2004/12/31 20:17:10  sparky
- License (at last it is BSD in sample spec)
- use version macro in sed

Revision 1.73  2004/12/30 15:23:00  sparky
- ups, window title is set in ~/.Eterm/bla/bla file
- rel 1; STBR

Revision 1.72  2004/12/30 15:15:00  sparky
- Updated to 0.9.3
- rel 0.1: shows 0.9.2 on status bar

Revision 1.71  2004/12/17 17:56:25  sparky
- Spanish summary/description fixes

Revision 1.70  2004/09/29 11:29:57  luzik
 - added BRs

Revision 1.69  2004/09/24 13:18:33  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.68  2004/09/22 09:29:14  luzik
 - added patch which fix keyboard handling for "in screen" mode
 - rel 10

Revision 1.67  2004/09/22 01:06:44  ankry
- rel. 9

Revision 1.66  2004/04/23 07:06:14  blues
- release 8 - Escreen added - maybe should be in separate package with
  proper requires?

Revision 1.65  2004/04/22 20:45:17  blues
- release 6 - requires screen to enable Escreen support

Revision 1.64  2003/12/10 18:33:49  grzegol
- _applnkdir -> _desktopdir
- added twin patch (s/Tw_1.h/Tw1.h/)
- added BR: twin-devel
- rel. 5

Revision 1.63  2003/11/23 05:27:41  speedy
- release 4

Revision 1.62  2003/11/03 11:42:10  leafnode
- separated Esetroot
- removed mmx flag from i686 arch (ppro is also i686 but it's without mmx)

Revision 1.61  2003/08/25 15:13:56  luzik
 - Escreen is now work

Revision 1.60  2003/08/25 10:52:47  luzik
 - added Escreen and Etwin support

Revision 1.59  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.58  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.57  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.56  2003/04/28 07:38:40  misi3k
- typo

Revision 1.55  2003/01/28 12:28:57  radek
- macro %%{_terminfodir} is undefined

Revision 1.54  2003/01/18 22:46:45  juandon
- removed two lines with define

Revision 1.53  2002/12/29 17:18:31  mkierus
- updated to 0.9.2

Revision 1.52  2002/12/13 15:26:08  ankry
- adapterized

Revision 1.51  2002/12/07 15:11:39  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.50  2002/10/09 13:14:13  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.49  2002/09/02 21:13:31  kloczek
- release 12,
- removed sgid utmp from Eterm executable because Etem uses utempter now (added
  utempter-devel to BuildRequires).

Revision 1.48  2002/08/25 10:56:00  grzegol
- enabled transparency and multi charset support
- added ommited files
- rel.11
STBR

Revision 1.47  2002/08/13 11:07:13  qboosh
- require ncurses with Eterm terminal definition; release 10

Revision 1.46  2002/08/13 10:57:03  kloczek
- remove terminfo-Eterm subpackage (Eterm terminfo definition are now in ncurses).

Revision 1.45  2002/07/31 23:29:15  undefine
- split Eterm to Eterm and terminfo-Eterm. now on server Eterm (and X...) isn't
  needed when on workstation is Eterm in use

Revision 1.44  2002/07/31 08:06:51  kloczek
- release 8.

Revision 1.43  2002/06/23 20:32:18  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.42  2002/06/08 20:58:43  filon
- requires ac >= 2.53 (for proper AM_PROG_AS)

Revision 1.41  2002/05/28 10:36:28  kloczek
- release 7: added ac253 for correct building Eterm using autoconf 2.53.

Revision 1.40  2002/05/25 23:09:50  kloczek
- release 6.

Revision 1.39  2002/05/25 23:04:28  kloczek
- merge translations from Conectiva.

Revision 1.38  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.37  2002/05/21 23:12:35  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/03/29 10:13:47  kloczek
- release 5.

Revision 1.35  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.34  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/02/03 20:44:32  ankry
- adding es/pt/pt_BR Group translations

Revision 1.32  2002/01/27 18:15:39  filon
- athlon update
- modified am_fix patch (am+as sucks)

Revision 1.31  2002/01/25 21:18:48  blues
- am_fix added (missing AS_PROG definition

Revision 1.30  2002/01/20 12:26:54  filon
- added configure rule for proper delete key escaping
- added compiling and installing terminfo entries for Eterm
- added some docs
- release 4, working, STBR

Revision 1.29  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/12/06 07:28:28  kloczek
- release 3: fixed desktop file (roman).

Revision 1.27  2001/12/03 22:28:49  filon
- added configure rule for mmx optimizations

Revision 1.26  2001/11/26 22:45:48  kloczek
- added desktop file for Eterm.

Revision 1.25  2001/11/25 17:44:32  blues
- BR added
STBR

Revision 1.24  2001/09/26 08:49:14  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.23  2001/08/30 19:33:16  areq
- start update to 0.9.1

Revision 1.22  2001/08/12 15:19:57  agaran
ac-25.ready

Revision 1.21  2001/07/18 03:20:02  kloczek
- spec adapterized.

Revision 1.20  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.19  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.16  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.14  1999/11/09 00:31:51  kloczek
- updated to 0.8.10,
- removed misc patch,
- added xterm-color-fixes patch which removes all stupid xterm colorizing
  modyfications and also removed setting up $TERM variable in theme config
  file,
- changed permission on Eterm to 2755 and to group utmp to allow log to
  wtmpx by Eterm.

Revision 1.13  1999/11/08 19:45:25  kura

- added using RPM macros
- changed Group to X11/Utilities
- fixed pl translation
- removed gzipping HTML files

Revision 1.12  1999/07/28 13:23:57  baggins
- fixed paths

Revision 1.11  1999/07/28 12:47:01  baggins
- stripping binaries

Revision 1.10  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun 05 1999 Jan Rkorajski <baggins@pld.org.pl>
  [0.8.9-1]
- update to 0.8.9
	--disable-static
	--enable-shared
	--disable-stack-trace

* Tue Feb  9 1999 Micha Kuratczyk <kurkens@polbox.com>
  [0.8.8-2d]
- added gzipping documentation
- cosmetic changes

* Wed Feb  3 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.8.8-1d]
- changed pl translation,
- added --without-debugging to ./configure parametrs,
- updated Requires for imlib (= 1.9.2),
- added patch for proper installing with using $DESTDIR,
- added Grou(pl).

* Thu Aug 13 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.8-3d]
- updated to Eterm-DR-0.8+PL2,
- added default background themes,
- minor modifications of spec file.

* Thu Jul 09 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.8-2d]
- first try at an RPM,
- build against glibc-2.1,
- added a utmp.c patch,
- translation modified for pl,
- added %changelog,
- changed prefix to /usr/X11R6.
